Creates a new event in the Network
curl --request POST \
--url https://api.mn.co/admin/v1/networks/{network_id}/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Monthly Community Meetup",
"starts_at": "2025-01-15T14:00:00Z",
"ends_at": "2025-01-15T16:00:00Z",
"event_type": "online_meeting",
"space_id": 123,
"description": "Join us for our monthly community meetup",
"link": "https://zoom.us/j/123456789",
"location": "San Francisco, CA",
"time_zone": "America/Los_Angeles",
"rsvp_enabled": true,
"rsvp_closed": true,
"restricted_event": true,
"post_in_feed": true,
"frequency": "weekly",
"interval": 1,
"by_days": "MO,WE,FR",
"by_month_days": "1,15",
"recurrence_count": 123,
"recur_until": "2026-11-16T19:44:56+00:00"
}
'import requests
url = "https://api.mn.co/admin/v1/networks/{network_id}/events"
payload = {
"title": "Monthly Community Meetup",
"starts_at": "2025-01-15T14:00:00Z",
"ends_at": "2025-01-15T16:00:00Z",
"event_type": "online_meeting",
"space_id": 123,
"description": "Join us for our monthly community meetup",
"link": "https://zoom.us/j/123456789",
"location": "San Francisco, CA",
"time_zone": "America/Los_Angeles",
"rsvp_enabled": True,
"rsvp_closed": True,
"restricted_event": True,
"post_in_feed": True,
"frequency": "weekly",
"interval": 1,
"by_days": "MO,WE,FR",
"by_month_days": "1,15",
"recurrence_count": 123,
"recur_until": "2026-11-16T19:44:56+00:00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Monthly Community Meetup',
starts_at: '2025-01-15T14:00:00Z',
ends_at: '2025-01-15T16:00:00Z',
event_type: 'online_meeting',
space_id: 123,
description: 'Join us for our monthly community meetup',
link: 'https://zoom.us/j/123456789',
location: 'San Francisco, CA',
time_zone: 'America/Los_Angeles',
rsvp_enabled: true,
rsvp_closed: true,
restricted_event: true,
post_in_feed: true,
frequency: 'weekly',
interval: 1,
by_days: 'MO,WE,FR',
by_month_days: '1,15',
recurrence_count: 123,
recur_until: '2026-11-16T19:44:56+00:00'
})
};
fetch('https://api.mn.co/admin/v1/networks/{network_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mn.co/admin/v1/networks/{network_id}/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'Monthly Community Meetup',
'starts_at' => '2025-01-15T14:00:00Z',
'ends_at' => '2025-01-15T16:00:00Z',
'event_type' => 'online_meeting',
'space_id' => 123,
'description' => 'Join us for our monthly community meetup',
'link' => 'https://zoom.us/j/123456789',
'location' => 'San Francisco, CA',
'time_zone' => 'America/Los_Angeles',
'rsvp_enabled' => true,
'rsvp_closed' => true,
'restricted_event' => true,
'post_in_feed' => true,
'frequency' => 'weekly',
'interval' => 1,
'by_days' => 'MO,WE,FR',
'by_month_days' => '1,15',
'recurrence_count' => 123,
'recur_until' => '2026-11-16T19:44:56+00:00'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mn.co/admin/v1/networks/{network_id}/events"
payload := strings.NewReader("{\n \"title\": \"Monthly Community Meetup\",\n \"starts_at\": \"2025-01-15T14:00:00Z\",\n \"ends_at\": \"2025-01-15T16:00:00Z\",\n \"event_type\": \"online_meeting\",\n \"space_id\": 123,\n \"description\": \"Join us for our monthly community meetup\",\n \"link\": \"https://zoom.us/j/123456789\",\n \"location\": \"San Francisco, CA\",\n \"time_zone\": \"America/Los_Angeles\",\n \"rsvp_enabled\": true,\n \"rsvp_closed\": true,\n \"restricted_event\": true,\n \"post_in_feed\": true,\n \"frequency\": \"weekly\",\n \"interval\": 1,\n \"by_days\": \"MO,WE,FR\",\n \"by_month_days\": \"1,15\",\n \"recurrence_count\": 123,\n \"recur_until\": \"2026-11-16T19:44:56+00:00\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mn.co/admin/v1/networks/{network_id}/events")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"Monthly Community Meetup\",\n \"starts_at\": \"2025-01-15T14:00:00Z\",\n \"ends_at\": \"2025-01-15T16:00:00Z\",\n \"event_type\": \"online_meeting\",\n \"space_id\": 123,\n \"description\": \"Join us for our monthly community meetup\",\n \"link\": \"https://zoom.us/j/123456789\",\n \"location\": \"San Francisco, CA\",\n \"time_zone\": \"America/Los_Angeles\",\n \"rsvp_enabled\": true,\n \"rsvp_closed\": true,\n \"restricted_event\": true,\n \"post_in_feed\": true,\n \"frequency\": \"weekly\",\n \"interval\": 1,\n \"by_days\": \"MO,WE,FR\",\n \"by_month_days\": \"1,15\",\n \"recurrence_count\": 123,\n \"recur_until\": \"2026-11-16T19:44:56+00:00\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mn.co/admin/v1/networks/{network_id}/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"Monthly Community Meetup\",\n \"starts_at\": \"2025-01-15T14:00:00Z\",\n \"ends_at\": \"2025-01-15T16:00:00Z\",\n \"event_type\": \"online_meeting\",\n \"space_id\": 123,\n \"description\": \"Join us for our monthly community meetup\",\n \"link\": \"https://zoom.us/j/123456789\",\n \"location\": \"San Francisco, CA\",\n \"time_zone\": \"America/Los_Angeles\",\n \"rsvp_enabled\": true,\n \"rsvp_closed\": true,\n \"restricted_event\": true,\n \"post_in_feed\": true,\n \"frequency\": \"weekly\",\n \"interval\": 1,\n \"by_days\": \"MO,WE,FR\",\n \"by_month_days\": \"1,15\",\n \"recurrence_count\": 123,\n \"recur_until\": \"2026-11-16T19:44:56+00:00\"\n}"
response = http.request(request)
puts response.read_body{
"id": "1234",
"created_at": "2026-11-16T19:44:53Z",
"updated_at": "2026-11-16T19:44:53Z",
"post_type": "event",
"creator": {
"id": "1234",
"created_at": "2026-11-16T19:44:53Z",
"updated_at": "2026-11-16T19:44:53Z",
"name": "<string>",
"email": "<string>",
"short_bio": "<string>",
"admin": true,
"last_visited_at": "2026-11-16T19:44:56+00:00"
},
"permalink": "https://example.mn.co/posts/123",
"title": "Monthly Community Meetup",
"event_type": "online_meeting",
"images": [
"<string>"
],
"description": "<string>",
"recurrence_rule": "<string>",
"rsvp_enabled": true,
"rsvp_closed": true,
"restricted_event": true,
"post_in_feed": true,
"starts_at": "2026-11-16T19:44:56+00:00",
"ends_at": "2026-11-16T19:44:56+00:00",
"time_zone": "<string>",
"location": "<string>",
"link": "<string>",
"frequency": "<string>",
"interval": 123
}{
"error": "<string>",
"reason": "<string>",
"credits_url": "<string>"
}{
"error": "<string>"
}Events
Creates a new event in the Network
POST
/
admin
/
v1
/
networks
/
{network_id}
/
events
Creates a new event in the Network
curl --request POST \
--url https://api.mn.co/admin/v1/networks/{network_id}/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Monthly Community Meetup",
"starts_at": "2025-01-15T14:00:00Z",
"ends_at": "2025-01-15T16:00:00Z",
"event_type": "online_meeting",
"space_id": 123,
"description": "Join us for our monthly community meetup",
"link": "https://zoom.us/j/123456789",
"location": "San Francisco, CA",
"time_zone": "America/Los_Angeles",
"rsvp_enabled": true,
"rsvp_closed": true,
"restricted_event": true,
"post_in_feed": true,
"frequency": "weekly",
"interval": 1,
"by_days": "MO,WE,FR",
"by_month_days": "1,15",
"recurrence_count": 123,
"recur_until": "2026-11-16T19:44:56+00:00"
}
'import requests
url = "https://api.mn.co/admin/v1/networks/{network_id}/events"
payload = {
"title": "Monthly Community Meetup",
"starts_at": "2025-01-15T14:00:00Z",
"ends_at": "2025-01-15T16:00:00Z",
"event_type": "online_meeting",
"space_id": 123,
"description": "Join us for our monthly community meetup",
"link": "https://zoom.us/j/123456789",
"location": "San Francisco, CA",
"time_zone": "America/Los_Angeles",
"rsvp_enabled": True,
"rsvp_closed": True,
"restricted_event": True,
"post_in_feed": True,
"frequency": "weekly",
"interval": 1,
"by_days": "MO,WE,FR",
"by_month_days": "1,15",
"recurrence_count": 123,
"recur_until": "2026-11-16T19:44:56+00:00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Monthly Community Meetup',
starts_at: '2025-01-15T14:00:00Z',
ends_at: '2025-01-15T16:00:00Z',
event_type: 'online_meeting',
space_id: 123,
description: 'Join us for our monthly community meetup',
link: 'https://zoom.us/j/123456789',
location: 'San Francisco, CA',
time_zone: 'America/Los_Angeles',
rsvp_enabled: true,
rsvp_closed: true,
restricted_event: true,
post_in_feed: true,
frequency: 'weekly',
interval: 1,
by_days: 'MO,WE,FR',
by_month_days: '1,15',
recurrence_count: 123,
recur_until: '2026-11-16T19:44:56+00:00'
})
};
fetch('https://api.mn.co/admin/v1/networks/{network_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mn.co/admin/v1/networks/{network_id}/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'Monthly Community Meetup',
'starts_at' => '2025-01-15T14:00:00Z',
'ends_at' => '2025-01-15T16:00:00Z',
'event_type' => 'online_meeting',
'space_id' => 123,
'description' => 'Join us for our monthly community meetup',
'link' => 'https://zoom.us/j/123456789',
'location' => 'San Francisco, CA',
'time_zone' => 'America/Los_Angeles',
'rsvp_enabled' => true,
'rsvp_closed' => true,
'restricted_event' => true,
'post_in_feed' => true,
'frequency' => 'weekly',
'interval' => 1,
'by_days' => 'MO,WE,FR',
'by_month_days' => '1,15',
'recurrence_count' => 123,
'recur_until' => '2026-11-16T19:44:56+00:00'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mn.co/admin/v1/networks/{network_id}/events"
payload := strings.NewReader("{\n \"title\": \"Monthly Community Meetup\",\n \"starts_at\": \"2025-01-15T14:00:00Z\",\n \"ends_at\": \"2025-01-15T16:00:00Z\",\n \"event_type\": \"online_meeting\",\n \"space_id\": 123,\n \"description\": \"Join us for our monthly community meetup\",\n \"link\": \"https://zoom.us/j/123456789\",\n \"location\": \"San Francisco, CA\",\n \"time_zone\": \"America/Los_Angeles\",\n \"rsvp_enabled\": true,\n \"rsvp_closed\": true,\n \"restricted_event\": true,\n \"post_in_feed\": true,\n \"frequency\": \"weekly\",\n \"interval\": 1,\n \"by_days\": \"MO,WE,FR\",\n \"by_month_days\": \"1,15\",\n \"recurrence_count\": 123,\n \"recur_until\": \"2026-11-16T19:44:56+00:00\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mn.co/admin/v1/networks/{network_id}/events")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"Monthly Community Meetup\",\n \"starts_at\": \"2025-01-15T14:00:00Z\",\n \"ends_at\": \"2025-01-15T16:00:00Z\",\n \"event_type\": \"online_meeting\",\n \"space_id\": 123,\n \"description\": \"Join us for our monthly community meetup\",\n \"link\": \"https://zoom.us/j/123456789\",\n \"location\": \"San Francisco, CA\",\n \"time_zone\": \"America/Los_Angeles\",\n \"rsvp_enabled\": true,\n \"rsvp_closed\": true,\n \"restricted_event\": true,\n \"post_in_feed\": true,\n \"frequency\": \"weekly\",\n \"interval\": 1,\n \"by_days\": \"MO,WE,FR\",\n \"by_month_days\": \"1,15\",\n \"recurrence_count\": 123,\n \"recur_until\": \"2026-11-16T19:44:56+00:00\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mn.co/admin/v1/networks/{network_id}/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"Monthly Community Meetup\",\n \"starts_at\": \"2025-01-15T14:00:00Z\",\n \"ends_at\": \"2025-01-15T16:00:00Z\",\n \"event_type\": \"online_meeting\",\n \"space_id\": 123,\n \"description\": \"Join us for our monthly community meetup\",\n \"link\": \"https://zoom.us/j/123456789\",\n \"location\": \"San Francisco, CA\",\n \"time_zone\": \"America/Los_Angeles\",\n \"rsvp_enabled\": true,\n \"rsvp_closed\": true,\n \"restricted_event\": true,\n \"post_in_feed\": true,\n \"frequency\": \"weekly\",\n \"interval\": 1,\n \"by_days\": \"MO,WE,FR\",\n \"by_month_days\": \"1,15\",\n \"recurrence_count\": 123,\n \"recur_until\": \"2026-11-16T19:44:56+00:00\"\n}"
response = http.request(request)
puts response.read_body{
"id": "1234",
"created_at": "2026-11-16T19:44:53Z",
"updated_at": "2026-11-16T19:44:53Z",
"post_type": "event",
"creator": {
"id": "1234",
"created_at": "2026-11-16T19:44:53Z",
"updated_at": "2026-11-16T19:44:53Z",
"name": "<string>",
"email": "<string>",
"short_bio": "<string>",
"admin": true,
"last_visited_at": "2026-11-16T19:44:56+00:00"
},
"permalink": "https://example.mn.co/posts/123",
"title": "Monthly Community Meetup",
"event_type": "online_meeting",
"images": [
"<string>"
],
"description": "<string>",
"recurrence_rule": "<string>",
"rsvp_enabled": true,
"rsvp_closed": true,
"restricted_event": true,
"post_in_feed": true,
"starts_at": "2026-11-16T19:44:56+00:00",
"ends_at": "2026-11-16T19:44:56+00:00",
"time_zone": "<string>",
"location": "<string>",
"link": "<string>",
"frequency": "<string>",
"interval": 123
}{
"error": "<string>",
"reason": "<string>",
"credits_url": "<string>"
}{
"error": "<string>"
}Authorizations
Path Parameters
Body
application/json
Submit results as JSON
Request body for creating or updating an event
Response
Returns the created event
Events are scheduled gatherings that members can RSVP to